## siril 0.99.8.1

=== debian/changelog ===
siril (0.99.8.1-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:42:43 +0000

siril (0.99.8.1-1ubuntu1) hirsute; urgency=medium

  * Cherry-pick an upstream commit to fix build with the new glib
    - debian/patches/upstream-fix-build-new-glib.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 05 Mar 2021 11:00:06 +0100

siril (0.99.8.1-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Sat, 13 Feb 2021 15:20:10 +0100

=== debian/control ===
Source: siril
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
Section: science
Priority: optional
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
Homepage: https://www.siril.org
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               intltool,
               meson (>= 0.51),
               git,
               cmake,
               libcfitsio-dev,
               libconfig++-dev,
               libexiv2-dev,
               libffms2-dev,
               libfftw3-dev,
               libgsl-dev,
               libgtk-3-dev,
               libjson-glib-dev,
               libopencv-dev,
               libpng-dev,
               libraw-dev,
               libtiff-dev,
               libavformat-dev,
               libavutil-dev,
               libavcodec-dev,
               libswscale-dev,
               libswresample-dev,
               libheif-dev,
               wcslib-dev

Package: siril
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         siril-common (= ${source:Version}),
         librsvg2-2
Suggests: gnuplot
Description: astronomical image processing tool
 Siril is an image processing tool specially tailored for noise reduction and
 improving the signal/noise ratio of an image from multiple captures, as
 required in astronomy. Siril can align automatically or manually, stack and
 enhance pictures from various file formats, even images sequences (movies and
 SER files).

Package: siril-common
Architecture: all
Depends: ${misc:Depends}
Replaces: siril (<< 0.9.12)
Breaks: siril (<< 0.9.12)
Multi-Arch: foreign
Description: architecture-independent files for siril
 Siril is an image processing tool specially tailored for noise reduction and
 improving the signal/noise ratio of an image from multiple captures, as
 required in astronomy. Siril can align automatically or manually, stack and
 enhance pictures from various file formats, even images sequences (movies and
 SER files).
 .
 This package provides the architecture-independent files (Siril scripts
 and other files).

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/@PACKAGE@.*\.tar\.gz/@PACKAGE@-$1\.tar\.gz/g \
  https://gitlab.com/free-astro/siril/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## siril 0.99.10.1

=== debian/changelog ===
siril (0.99.10.1-2build1) jammy; urgency=medium

  * No-change rebuild against libffms2-5

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 14 Feb 2022 10:38:54 +0100

siril (0.99.10.1-2) unstable; urgency=medium

  * Changing gvfs-backends from mandatory to recommended. Closes #992443

 -- Cyril Richard <lock042@gmail.com>  Tue, 31 Aug 2021 17:26:26 +0200

siril (0.99.10.1-1) unstable; urgency=medium

  [ Cyril Richard]
  * New upstream version. Closes: #984335

  [ Nilesh Patra ]
  * Add d/salsa-ci.yml

 -- Cyril Richard <lock042@gmail.com>  Wed, 18 Aug 2021 13:13:57 +0200

siril (0.99.10-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Fri, 11 Jun 2021 17:04:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: siril
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
@@ -40,6 +39,7 @@
          ${shlibs:Depends},
          siril-common (= ${source:Version}),
          librsvg2-2
+Recommended: gvfs-backends
 Suggests: gnuplot
 Description: astronomical image processing tool
  Siril is an image processing tool specially tailored for noise reduction and

## siril 1.0.1

=== debian/changelog ===
siril (1.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Thu, 14 Apr 2022 10:05:43 +0200

siril (1.0.0-1) unstable; urgency=medium

  * New usptream version

 -- Cyril Richard <lock042@gmail.com>  Wed, 09 Mar 2022 11:40:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://www.siril.org
@@ -39,7 +39,7 @@
          ${shlibs:Depends},
          siril-common (= ${source:Version}),
          librsvg2-2
-Recommended: gvfs-backends
+Recommends: gvfs-backends
 Suggests: gnuplot
 Description: astronomical image processing tool
  Siril is an image processing tool specially tailored for noise reduction and

## siril 1.0.3

=== subprojects/librtprocess/src/CMakeLists.txt ===
find_package(PkgConfig)

if (OPTION_OMP)
    find_package(OpenMP REQUIRED COMPONENTS CXX)
endif()

set(rtprocess_SRCS
    demosaic/ahd.cc
    demosaic/amaze.cc
    demosaic/bayerfast.cc
    demosaic/border.cc
    demosaic/dcb.cc
    demosaic/hphd.cc
    demosaic/igv.cc
    demosaic/lmmse.cc
    demosaic/markesteijn.cc
    demosaic/rcd.cc
    demosaic/vng4.cc
    demosaic/xtransfast.cc
    preprocess/CA_correct.cc
    postprocess/hilite_recon.cc)

add_library(rtprocess ${rtprocess_SRCS})
target_include_directories(rtprocess
                           PUBLIC
                               $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
                               $<INSTALL_INTERFACE:include>)
target_compile_options(rtprocess
                       PRIVATE
                           ${OpenMP_CXX_FLAGS}
                           ${DEFAULT_CXX_COMPILE_FLAGS}
                           ${OpenMP_CXX_FLAGS}
                           ${PROC_FLAGS})
set_property(TARGET
                 rtprocess
             PROPERTY
                 LINKER_FLAGS "${DEFAULT_LINK_FLAGS}"
             PROPERTY
                 PUBLIC_HEADER "include/librtprocess.h")

set_property(TARGET
                 rtprocess
             PROPERTY
                 VERSION ${LIBRARY_VERSION})

set_property(TARGET
                 rtprocess
             PROPERTY
                 SOVERSION ${LIBRARY_SOVERSION})

if (OpenMP_FOUND)
    target_link_libraries(rtprocess PRIVATE ${OpenMP_CXX_LIBRARIES})
endif()

if (VERBOSE)
    target_compile_options(rtprocess
                           PRIVATE
                               -DVERBOSE)
endif()
add_library(rtprocess::rtprocess ALIAS rtprocess)

install(TARGETS rtprocess
        EXPORT rtprocess-config
        ARCHIVE
            DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY
            DESTINATION ${CMAKE_INSTALL_LIBDIR}
            COMPONENT ${PROJECT_NAME}
        RUNTIME
            DESTINATION ${CMAKE_INSTALL_BINDIR}
        PUBLIC_HEADER
            DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rtprocess)

install(EXPORT rtprocess-config
        NAMESPACE rtprocess::
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/rtprocess)

=== debian/changelog ===
siril (1.0.3-1build2) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:07:52 +0000

siril (1.0.3-1build1) kinetic; urgency=medium

  * No-change rebuild against libopencv-core406

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Jul 2022 06:25:42 +0000

siril (1.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Tue, 28 Jun 2022 13:38:34 +0200

siril (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * patch appstream data

 -- Cyril Richard <lock042@gmail.com>  Mon, 16 May 2022 13:55:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: siril
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional

## siril 1.0.5

=== debian/changelog ===
siril (1.0.5-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Fri, 09 Sep 2022 14:51:31 +0530

## siril 1.0.6

=== meson_options.txt ===
# Build properties
option('relocatable-bundle', 
 type: 'combo', 
 value: 'platform-default',
 description: 'build with resources considered bundled under the same prefix',
 choices: [ 'yes', 'no', 'platform-default' ]
)

option('openmp', 
 type : 'boolean', 
 value : 'true',
 description: 'build with OpenMP support'
)

option('enable-libcurl',
 type: 'combo', 
 value: 'platform-default',
 description: 'Use libcurl instead of GIO',
 choices: [ 'yes', 'no', 'platform-default' ]
)

=== subprojects/wcslib/CMakeLists.txt ===
project(wcslib C CXX)
cmake_minimum_required(VERSION 3.10)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")

find_package(CFITSIO REQUIRED)
include_directories(${CFITSIO_INCLUDE_DIR})

# add sources
file(GLOB SRC_FILES *.c)
#build a shared library
ADD_LIBRARY(wcslib STATIC ${SRC_FILES})
set_target_properties(wcslib PROPERTIES VERSION 7.3 SOVERSION 7)

# Glob headers
file(GLOB SRC_HEADERS *.h)
#install headers
INSTALL(FILES ${SRC_HEADERS} DESTINATION include/wcslib)

#install library
INSTALL(TARGETS wcslib RUNTIME DESTINATION bin
                       LIBRARY DESTINATION lib
                       ARCHIVE DESTINATION lib)

=== debian/changelog ===
siril (1.0.6-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Wed, 19 Oct 2022 13:41:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: siril
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://www.siril.org

=== debian/rules ===
#!/usr/bin/make -f

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=meson

override_dh_installchangelogs:
	dh_installchangelogs

override_dh_auto_configure:
	dh_auto_configure
	
override_dh_missing:
	dh_missing --list-missing

## siril 1.2.0

=== debian/changelog ===
siril (1.2.0-1) unstable; urgency=medium

  * New upstream version (Closes: #1034823)

 -- Cyril Richard <lock042@gmail.com>  Sat, 16 Sep 2023 19:46:01 +0530

siril (1.2.0~beta1-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Mon, 27 Feb 2023 21:24:21 +0100

## siril 1.2.1

=== meson_options.txt ===
--- 
+++ 
@@ -12,9 +12,81 @@
  description: 'build with OpenMP support'
 )
 
+option('json_glib',
+ type : 'boolean',
+ value : 'true',
+ description: 'build with json glib support'
+)
+
+option('exiv2',
+ type : 'boolean',
+ value : 'true',
+ description: 'build with exiv2 support'
+)
+
+option('libraw',
+ type : 'boolean',
+ value : 'true',
+ description: 'build with LibRaw support'
+)
+
+option('libtiff',
+ type : 'boolean',
+ value : 'true',
+ description: 'build with TIFF support'
+)
+
+option('libjpeg',
+ type : 'boolean',
+ value : 'true',
+ description: 'build with JPEG support'
+)
+
+option('libpng',
+ type : 'boolean',
+ value : 'true',
+ description: 'build with PNG support'
+)
+
+option('libheif',
+ type : 'boolean',
+ value : 'true',
+ description: 'build with HEIF support'
+)
+
+option('ffms2',
+ type : 'boolean',
+ value : 'true',
+ description: 'build with FFMS2 support'
+)
+
+option('ffmpeg',
+ type : 'boolean',
+ value : 'true',
+ description: 'build with FFmpeg support'
+)
+
 option('enable-libcurl',
  type: 'combo', 
  value: 'platform-default',
  description: 'Use libcurl instead of GIO',
  choices: [ 'yes', 'no', 'platform-default' ]
 )
+
+option('libconfig',
+ type : 'boolean',
+ value : 'false',
+ description: 'build with libconfig support'
+)
+
+option('criterion',
+ type : 'boolean',
+ value : 'false',
+ description: 'build with criterion support'
+)
+
+option('wcslib',
+ type : 'boolean',
+ value : 'true',
+ description: 'build with WCSLIB support'
+)

=== debian/changelog ===
siril (1.2.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:09 +1100

siril (1.2.1-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:39:25 +0000

siril (1.2.1-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:14:47 +0000

siril (1.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Fri, 26 Jan 2024 16:25:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: siril
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://www.siril.org
@@ -14,7 +15,6 @@
                git,
                cmake,
                libcfitsio-dev,
-               libconfig++-dev,
                libexiv2-dev,
                libffms2-dev,
                libfftw3-dev,

## siril 1.2.4

=== debian/changelog ===
siril (1.2.4-1build1) plucky; urgency=medium

  * No-change rebuild for libexiv2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 12:23:57 +0000

siril (1.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Wed, 11 Sep 2024 16:47:01 +0200

## siril 1.2.5

=== debian/changelog ===
siril (1.2.5-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Wed, 27 Nov 2024 13:46:00 +0100

## siril 1.2.6

=== subprojects/librtprocess/CMakeLists.txt ===
# Required cmake version
cmake_minimum_required(VERSION 3.5.0)
cmake_policy(SET CMP0048 NEW)

if (NOT DEFINED CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "RelWithDebInfo")
endif()
# Specify search path for CMake modules to be loaded by include()
# and find_package()
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")

### Add defaults for cmake
# These defaults need to be included before the project() call.
include(DefineCMakeDefaults)

# This will provide -DCMAKE_BUILD_TYPE=Profiling
# and -DCMAKE_BUILD_TYPE=AddressSanitizer
include(DefineCompilerFlags)

project(rtprocess VERSION 0.11.0 LANGUAGES CXX)

# SOVERSION scheme: MAJOR.MINOR.PATCH
#   If there was an incompatible interface change:
#     Increment MAJOR. Set MINOR and PATCH to 0
#   If there was a compatible interface change:
#     Increment MINOR. Set PATCH to 0
#   If the source code was changed, but there were no interface changes:
#     Increment PATCH.
set(LIBRARY_VERSION_MAJOR 0)
set(LIBRARY_VERSION_MINOR 0)
set(LIBRARY_VERSION_PATCH 1)
set(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
set(LIBRARY_SOVERSION ${LIBRARY_VERSION_MAJOR})

# include cmake files
include(DefineOptions.cmake)
include(CompilerChecks.cmake)
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)
include(CPackConfig.cmake)

# By default we don't use a specific processor target, so PROC_TARGET_NUMBER is set to 0.
# Specify other values to optimize for specific processor architecture as listed in ProcessorTargets.cmake:
set(PROC_TARGET_NUMBER 0 CACHE STRING "Selected target processor from the list taken from ProcessorTargets.cmake")
# Loads the ProcessorTargets list:
include(ProcessorTargets.cmake)
set(PROC_FLAGS "" CACHE STRING "Target processor related build/link flags")
if(NOT(PROC_TARGET_NUMBER EQUAL 0))
    set(PROC_FLAGS ${PROC_TARGET_${PROC_TARGET_NUMBER}_FLAGS})
endif()

add_subdirectory(src)
add_subdirectory(pkgconfig)

# cmake config files
if (WIN32)
    set(RTPROCESS_LIBRARY_NAME ${CMAKE_SHARED_LIBRARY_PREFIX}${PROJECT_NAME}${CMAKE_IMPORT_LIBRARY_SUFFIX})
else()
    set(RTPROCESS_LIBRARY_NAME ${CMAKE_SHARED_LIBRARY_PREFIX}${PROJECT_NAME}${CMAKE_SHARED_LIBRARY_SUFFIX})
endif()

write_basic_package_version_file(${PROJECT_NAME}-config-version.cmake
                                 COMPATIBILITY
                                     AnyNewerVersion)

install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake
        DESTINATION
            ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
        COMPONENT
            devel)

# Add 'make dist' target which makes sure to invoke cmake before
add_custom_target(dist
                  COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== subprojects/librtprocess/pkgconfig/CMakeLists.txt ===
configure_file(rtprocess.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/rtprocess.pc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/rtprocess.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
        COMPONENT pkgconfig)

=== debian/changelog ===
siril (1.2.6-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Thu, 23 Jan 2025 09:37:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: siril
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://www.siril.org

## siril 1.4.0~beta2

=== meson_options.txt ===
# Build properties
option('relocatable-bundle',
 type: 'combo',
 value: 'platform-default',
 description: 'build with resources considered bundled under the same prefix',
 choices: [ 'yes', 'no', 'platform-default' ]
)

option('openmp',
 type : 'boolean',
 value : true,
 description: 'build with OpenMP support'
)

option('exiv2',
 type : 'boolean',
 value : true,
 description: 'build with exiv2 support'
)

option('libgit2',
 type : 'boolean',
 value : true,
 description: 'build with libgit2 git integration'
)

option('libraw',
 type : 'boolean',
 value : true,
 description: 'build with LibRaw support'
)

option('libtiff',
 type : 'boolean',
 value : true,
 description: 'build with TIFF support'
)

option('libjpeg',
 type : 'boolean',
 value : true,
 description: 'build with JPEG support'
)

option('libjxl',
 type : 'boolean',
 value : true,
 description: 'build with JPEG XL support'
)

option('libpng',
 type : 'boolean',
 value : true,
 description: 'build with PNG support'
)

option('libheif',
 type : 'boolean',
 value : true,
 description: 'build with HEIF support'
)

option('libXISF',
 type : 'boolean',
 value : true,
 description: 'build with XISF support'
)

option('ffms2',
 type : 'boolean',
 value : true,
 description: 'build with FFMS2 support'
)

option('ffmpeg',
 type : 'boolean',
 value : true,
 description: 'build with FFmpeg support'
)

option('libcurl',
 type: 'boolean',
 value: true,
 description: 'Use libcurl for web access',
)

option('criterion',
 type : 'boolean',
 value : false,
 description: 'build with criterion support'
)

option('flatpak-id',
 type : 'string',
 value : '',
 description : 'set by flatpak-builder if building a flatpak'
)

=== subprojects/healpix_cxx/CMakeLists.txt ===
## This project has been copied from
## https://sourceforge.net/p/healpix/code/HEAD/tree/branches/branch_v383r1259/src/cxx/
## and was modified to compile on its own, providing the necessary functions
## mainly to query healpixels

project(healpix_cxx CXX)
cmake_minimum_required(VERSION 3.10)

#LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")


# add sources
file(GLOB SRC_FILES *.cc)
#build a shared library
ADD_LIBRARY(healpix_cxx STATIC ${SRC_FILES})
set_target_properties(healpix_cxx PROPERTIES VERSION 8.3.0 SOVERSION 4)

# Glob headers
file(GLOB SRC_HEADERS *.h)
#install headers
INSTALL(FILES ${SRC_HEADERS} DESTINATION include/healpix_cxx)

#install library
INSTALL(TARGETS healpix_cxx LIBRARY DESTINATION lib
                            ARCHIVE DESTINATION lib)

=== subprojects/htmesh/CMakeLists.txt ===
# This project has been copied from
# https://invent.kde.org/education/kstars/-/tree/master/kstars/htmesh
# and was slightly modified to compile on its own
project(htmesh)
cmake_minimum_required(VERSION 3.5.0)

INCLUDE(CheckFunctionExists)
check_function_exists(drand48 HAVE_DRAND48)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-htmesh.h.cmake ${CMAKE_CURRENT_SOURCE_DIR}/config-htmesh.h )

### HTMesh library
SET(HTMesh_LIB_SRC
    MeshIterator.cpp
    HtmRange.cpp
    HtmRangeIterator.cpp
    RangeConvex.cpp
    SkipList.cpp
    SkipListElement.cpp
    SpatialConstraint.cpp
#   SpatialDomain.cpp
    SpatialEdge.cpp
    SpatialException.cpp
    SpatialIndex.cpp
    SpatialVector.cpp
    HTMesh.cpp
    MeshBuffer.cpp)

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(HTMesh HTMesh_LIB_SRC 10 cpp)
ENDIF ()

SET(HTMesh_LIB_SRC ${HTMesh_LIB_SRC}
   cc_aux.c)

IF (ANDROID)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
ENDIF ()

add_library(htmesh STATIC ${HTMesh_LIB_SRC})

if (BUILD_PYKSTARS)
  set_target_properties(htmesh PROPERTIES POSITION_INDEPENDENT_CODE ON)
ENDIF ()

add_definitions(-D_EXPORTING)

set_target_properties(htmesh PROPERTIES
    VERSION 1.0.0
    SOVERSION 1)

# It is not necessary to install the static library as we just link against it.
#if (NOT ANDROID)
#    install(TARGETS htmesh ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
#endif ()

# If you wish to compile the HTMesh perl wrapper, uncomment this, rebuild and copy the library into /usr/lib/, because we will use it as a shared object. See README in the perl wrapper directory (kstars/kstars/data/tools/HTMesh-*) for more details.
#set_property(TARGET htmesh PROPERTY POSITION_INDEPENDENT_CODE YES)

=== subprojects/kplot/Makefile ===
.SUFFIXES: .3 .3.html

CFLAGS		?= -g -W -Wall -Wstrict-prototypes -Wno-unused-parameter -Wwrite-strings
#If you're on Mac OSX without XQuarts, you'll need /usr/X11 instead of /opt/X11!
CPPFLAGS	+= $(CAIRO_CFLAGS)
VERSION		= 0.1.14
LDADD		= $(CAIRO_LIBS)
#If you're on GNU/Linux, you'll need to uncomment this.
LDADD		+= `$(PKG_CONFIG) --libs libbsd`
VERSIONS	= version_0_1_4.xml \
		  version_0_1_5.xml \
		  version_0_1_6.xml \
		  version_0_1_7.xml \
		  version_0_1_8.xml \
		  version_0_1_9.xml \
		  version_0_1_10.xml \
		  version_0_1_11.xml \
		  version_0_1_12.xml \
		  version_0_1_13.xml \
		  version_0_1_14.xml
EXAMPLES	= example0 \
		  example1 \
		  example2 \
		  example3 \
		  example4 \
		  example5 \
		  example6 \
		  example7 \
		  example8 \
		  example9 \
		  example10 \
		  example11 \
		  example12
PNGS		= example0.png \
		  example1.png \
		  example2.png \
		  example3.png \
		  example4.png \
		  example5.png \
		  example6.png \
		  example7.png \
		  example8.png \
		  example9.png \
		  example10.png \
		  example11.png \
		  example12.png
SRCS		= Makefile \
		  compat.post.h \
		  compat.pre.h \
		  compat.sh \
		  colours.c \
		  extern.h \
		  kplot.h \
		  array.c \
		  border.c \
		  bucket.c \
		  buffer.c \
		  draw.c \
		  example0.c \
		  example1.c \
		  example2.c \
		  example3.c \
		  example4.c \
		  example5.c \
		  example6.c \
		  example7.c \
		  example8.c \
		  example9.c \
		  example10.c \
		  example11.c \
		  example12.c \
		  grid.c \
		  hist.c \
		  label.c \
		  kdata.c \
		  kplot.c \
		  margin.c \
		  mean.c \
		  plotctx.c \
		  reallocarray.c \
		  stddev.c \
		  test-reallocarray.c \
		  tic.c \
		  vector.c
OBJS		= array.o \
		  border.o \
		  bucket.o \
		  buffer.o \
		  colours.o \
		  draw.o \
		  grid.o \
		  hist.o \
		  label.o \
		  kdata.o \
		  kplot.o \
		  margin.o \
		  mean.o \
		  plotctx.o \
		  reallocarray.o \
		  stddev.o \
		  tic.o \
		  vector.o
PREFIX		= /usr
HTMLS		= index.html \
		  man/kdata_array_alloc.3.html \
		  man/kdata_array_fill.3.html \
		  man/kdata_bucket_alloc.3.html \
		  man/kdata_bucket_add.3.html \
		  man/kdata_buffer_alloc.3.html \
		  man/kdata_buffer_copy.3.html \
		  man/kdata_destroy.3.html \
		  man/kdata_get.3.html \
		  man/kdata_hist_alloc.3.html \
		  man/kdata_hist_add.3.html \
		  man/kdata_mean_alloc.3.html \
		  man/kdata_mean_attach.3.html \
		  man/kdata_pmfmean.3.html \
		  man/kdata_pmfstddev.3.html \
		  man/kdata_pmfvar.3.html \
		  man/kdata_stddev_alloc.3.html \
		  man/kdata_stddev_attach.3.html \
		  man/kdata_vector_append.3.html \
		  man/kdata_vector_alloc.3.html \
		  man/kdata_xmax.3.html \
		  man/kdata_xmean.3.html \
		  man/kdata_xmin.3.html \
		  man/kdata_xstddev.3.html \
		  man/kdatacfg_defaults.3.html \
		  man/kplot.3.html \
		  man/kplot_alloc.3.html \
		  man/kplot_attach_data.3.html \
		  man/kplot_attach_datas.3.html \
		  man/kplot_attach_smooth.3.html \
		  man/kplot_detach.3.html \
		  man/kplot_draw.3.html \
		  man/kplot_free.3.html \
		  man/kplot_get_datacfg.3.html \
		  man/kplot_get_plotcfg.3.html \
	 	  man/kplotcfg_defaults.3.html
MANS		= man/kdata_array_alloc.3 \
		  man/kdata_array_fill.3 \
		  man/kdata_bucket_alloc.3 \
		  man/kdata_bucket_add.3 \
		  man/kdata_buffer_alloc.3 \
		  man/kdata_buffer_copy.3 \
		  man/kdata_destroy.3 \
		  man/kdata_get.3 \
		  man/kdata_hist_alloc.3 \
		  man/kdata_hist_add.3 \
		  man/kdata_mean_alloc.3 \
		  man/kdata_mean_attach.3 \
		  man/kdata_pmfmean.3 \
		  man/kdata_pmfstddev.3 \
		  man/kdata_pmfvar.3 \
		  man/kdata_stddev_alloc.3 \
		  man/kdata_stddev_attach.3 \
		  man/kdata_vector_append.3 \
		  man/kdata_vector_alloc.3 \
		  man/kdata_xmax.3 \
		  man/kdata_xmean.3 \
		  man/kdata_xmin.3 \
		  man/kdata_xstddev.3 \
		  man/kdatacfg_defaults.3 \
		  man/kplot.3 \
		  man/kplot_alloc.3 \
		  man/kplot_attach_data.3 \
		  man/kplot_attach_datas.3 \
		  man/kplot_attach_smooth.3 \
		  man/kplot_detach.3 \
		  man/kplot_draw.3 \
		  man/kplot_free.3 \
		  man/kplot_get_datacfg.3 \
		  man/kplot_get_plotcfg.3 \
	 	  man/kplotcfg_defaults.3

all: libkplot.a

install: all

uninstall: ;

www: $(HTMLS) $(PNGS) kplot.tgz kplot.tgz.sha512

installwww: www
	mkdir -p $(PREFIX)
	mkdir -p $(PREFIX)/snapshots
	install -m 0444 $(PNGS) $(HTMLS) index.css $(PREFIX)
	install -m 0444 kplot.tgz $(PREFIX)/snapshots/kplot-$(VERSION).tgz
	install -m 0444 kplot.tgz.sha512 $(PREFIX)/snapshots/kplot-$(VERSION).tgz.sha512
	install -m 0444 kplot.tgz $(PREFIX)/snapshots
	install -m 0444 kplot.tgz.sha512 $(PREFIX)/snapshots

$(EXAMPLES): libkplot.a

EXAMPLE_LIBS = libkplot.a $(LDADD) -lm 

example0: example0.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example1: example1.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example2: example2.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example3: example3.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example4: example4.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example5: example5.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example6: example6.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example7: example7.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example8: example8.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example9: example9.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example10: example10.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example11: example11.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example12: example12.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example0.png: example0
	./example0

example1.png: example1
	./example1

example2.png: example2
	./example2

example3.png: example3
	./example3

example4.png: example4
	./example4

example5.png: example5
	./example5

example6.png: example6
	./example6

example7.png: example7
	./example7

example8.png: example8
	./example8

example9.png: example9
	./example9

example10.png: example10
	./example10

example11.png: example11
	./example11

example12.png: example12
	./example12

libkplot.a: $(OBJS)
	$(AR) rs $@ $(OBJS)

$(OBJS): kplot.h compat.h extern.h

compat.h: compat.pre.h compat.post.h
	( cat compat.pre.h ; \
	  CC="$(CC)" CFLAGS="$(CFLAGS)" sh compat.sh reallocarray ; \
	  cat compat.post.h ; ) >$@

.3.3.html:
	mandoc -Thtml -Oman=%N.%S.html $< >$@

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<

index.html: index.xml $(VERSIONS)
	sblg -t index.xml -o- $(VERSIONS) | sed "s!@VERSION@!$(VERSION)!g" >$@

kplot.tgz.sha512: kplot.tgz
	openssl dgst -sha512 kplot.tgz >$@

kplot.tgz:
	mkdir -p .dist/kplot-$(VERSION)
	mkdir -p .dist/kplot-$(VERSION)/man
	cp $(SRCS) .dist/kplot-$(VERSION)
	cp $(MANS) .dist/kplot-$(VERSION)/man
	(cd .dist && tar zcf ../$@ kplot-$(VERSION))
	rm -rf .dist

clean distclean:
	rm -f libkplot.a compat.h test-reallocarray 
	rm -f $(EXAMPLES)
	rm -rf *.dSYM
	rm -f $(OBJS)
	rm -f $(HTMLS) $(PNGS)
	rm -f kplot.tgz kplot.tgz.sha512

=== subprojects/librtprocess/src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,13 @@
                            PUBLIC
                                $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
                                $<INSTALL_INTERFACE:include>)
+
+if(NOT BUILD_SHARED_LIBS)
+    target_compile_definitions(rtprocess
+                               PRIVATE
+                                LIBRTPROCESS_STATIC)
+endif()
+
 target_compile_options(rtprocess
                        PRIVATE
                            ${OpenMP_CXX_FLAGS}

=== debian/changelog ===
siril (1.4.0~beta2-2) unstable; urgency=medium

  * Team upload.
  * upload to unstable (Closes: #1114381)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Nov 2025 22:22:30 +0100

siril (1.4.0~beta2-1) experimental; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Wed, 21 May 2025 10:22:30 +0200

siril (1.4.0~beta1-2) experimental; urgency=medium

  * Adding python module in the installation
  * Replacing libjson-glib-dev by libjson-glib-dev as dep in deb/control
  * Adding python3-tk as dependency

 -- Cyril Richard <lock042@gmail.com>  Fri, 09 May 2025 11:30:35 +0200

siril (1.4.0~beta1-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Fri, 25 Apr 2025 15:48:39 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	dh_installchangelogs
 
 override_dh_auto_configure:
-	dh_auto_configure
+	dh_auto_configure -- -Dcriterion=false
 	
 override_dh_missing:
 	dh_missing --list-missing

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/<user>/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## siril 1.4.0~rc2

=== debian/changelog ===
siril (1.4.0~rc2-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Thu, 20 Nov 2025 13:44:59 +0100

siril (1.4.0~rc1-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Sat, 08 Nov 2025 07:24:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://www.siril.org
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                intltool,
                meson (>= 0.51),
@@ -19,7 +18,7 @@
                libfftw3-dev,
                libgsl-dev,
                libgtk-3-dev,
-               libjson-glib-dev,
+               libyyjson-dev,
                libopencv-dev,
                libpng-dev,
                libraw-dev,
@@ -30,16 +29,25 @@
                libswscale-dev,
                libswresample-dev,
                libheif-dev,
-               wcslib-dev
+               wcslib-dev,
+               libgtksourceview-4-dev,
+               libgit2-dev,
+               libjxl-dev,
+               liblz4-dev,
+               libpugixml-dev,
+               libxisf-dev,
+               libcurl4-gnutls-dev
 
 Package: siril
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          siril-common (= ${source:Version}),
-         librsvg2-2
+         librsvg2-2,
+         python3-venv,
+         python3-pip,
+         python3-tk
 Recommends: gvfs-backends
-Suggests: gnuplot
 Description: astronomical image processing tool
  Siril is an image processing tool specially tailored for noise reduction and
  improving the signal/noise ratio of an image from multiple captures, as

=== debian/watch ===
version=5
opts="searchmode=plain" \
 https://gitlab.com/<user>/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## siril 1.4.2

=== meson_options.txt ===
--- 
+++ 
@@ -90,8 +90,20 @@
  description: 'build with criterion support'
 )
 
+option('arch_native',
+ type : 'boolean',
+ value : false,
+ description : 'Enable -march=native optimization'
+)
+
 option('flatpak-id',
  type : 'string',
  value : '',
  description : 'set by flatpak-builder if building a flatpak'
 )
+
+option('simd_logs',
+ type : 'boolean',
+ value : false,
+ description : 'Enable loop vectorization analysis during build (clang only)'
+)

=== debian/changelog ===
siril (1.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Thu, 19 Feb 2026 22:14:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://www.siril.org
